org.apache.sysds.runtime.io

## Class FileFormatPropertiesLIBSVM

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties
  - - org.apache.sysds.runtime.io.FileFormatPropertiesLIBSVM

All Implemented Interfaces:
  Serializable

    public class FileFormatPropertiesLIBSVM
    extends FileFormatProperties
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileFormatPropertiesLIBSVM()`
`FileFormatPropertiesLIBSVM(String delim, String indexDelim)`
`FileFormatPropertiesLIBSVM(String delim, String indexDelim, boolean sparse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDelim()`
`String` `getIndexDelim()`
`boolean` `isSparse()`
`void` `setDelim(String delim)`
`void` `setIndexDelim(String indexDelim)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

`getDescription, setDescription`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileFormatPropertiesLIBSVM

    public FileFormatPropertiesLIBSVM()

#### FileFormatPropertiesLIBSVM

    public FileFormatPropertiesLIBSVM(String delim,
                                      String indexDelim)

#### FileFormatPropertiesLIBSVM

    public FileFormatPropertiesLIBSVM(String delim,
                                      String indexDelim,
                                      boolean sparse)

### Method Detail

#### getDelim

    public String getDelim()

#### setDelim

    public void setDelim(String delim)

#### getIndexDelim

    public String getIndexDelim()

#### setIndexDelim

    public void setIndexDelim(String indexDelim)

#### isSparse

    public boolean isSparse()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`